// ========================================================================
// ==         Implementation de la classe Actor                          ==
// ==              Atchoum & X Pinguin 16 Fevrier 2000                   ==
// ========================================================================
#include "Data/DataActor.h"

// ========================================================================
DataActor::DataActor(int x, int y, int z)
  : _x(x),_y(y), _z(z),
    _faction(0),
    _state(0)
{
}
// ========================================================================
void DataActor::getPosition(int& x,int& y) const
{
  x=_x;
  y=_y;
}
// ========================================================================
void DataActor::getPosition(int& x,int& y, int& z) const
{
  x = _x;
  y = _y;
  z = _z;
}
// ========================================================================
void DataActor::move(int deltax, int deltay, int deltaz)
{
  _x += deltax;
  _y += deltay;
  _z += deltaz;
}
// ========================================================================
int DataActor::getFaction() const
{
  return _faction;
}
// ========================================================================
void DataActor::setFaction(int faction)
{
  _faction = faction;
}
