// ===========================================================================
// ==                                                                       ==
// ==                                                                       ==
// ===========================================================================
#include "Object/Nothing.h"
#include "Data/IdObject.h"
#include "Render/RenderEmpty.h"

Nothing::Nothing(int x, int y) : Object(NONE)
{
  _render = new RenderEmpty((x<<5),(y<<5));
}
// ===========================================================================
Nothing::~Nothing()
{
  delete _render;
}
// ===========================================================================
Object*
Nothing::clone(int x, int y) const
{
  return new Nothing(x,y);
}
