// ===========================================================================
// ==                                                                       ==
// ==                                                                       ==
// ===========================================================================
#include "Object/Wall.h"
#include "Data/IdObject.h"
#include "Render/RenderWall.h"

Wall::Wall(int x, int y) : Object(WALL, true)
{
  _render = new RenderWall((x<<5),(y<<5));
}
// ===========================================================================
Wall::~Wall()
{
  delete _render;
}
// ===========================================================================
Object*
Wall::clone(int x, int y) const
{
  return new Wall(x,y);
}
