// ===========================================================================
// ==                                                                       ==
// ==                                                                       ==
// ===========================================================================
#ifndef _RENDEROBJECT_H
#define _RENDEROBJECT_H

#include "Render/RenderBase.h"

class RenderObject : public RenderBase
{
public:
  /** */
  RenderObject();
  /** */
  virtual Screen& render(Screen& scr);
  /** */
  virtual RenderObject* clone(int x, int y) const = 0;
protected:
  /** */
  void setSprite(const Sprite& spr,
		 int x, int y);
};
// ===========================================================================
inline RenderObject::RenderObject( ) : RenderBase()
{
}
#endif
