// ===========================================================================
// ==              RenderRock class implementation                          ==
// ==            Atchoum & X. Pinguin 24 April 2000                         ==
// ===========================================================================

#include "Render/RenderRock.h"

#include "Graphism/Image.h"

/*static Image rockImg("Graphisme/Roche.bmp");
  static Sprite rockSpr(rockImg, 1, 1);*/

static Image* rockImg = NULL;
static Sprite* rockSpr = NULL;

RenderRock::RenderRock() : RenderActor()
{
  if (rockImg == NULL)
  {
    rockImg = new Image("Graphisme/Roche.bmp");
    rockSpr = new Sprite(*rockImg, 1, 1);
  }
  setSprite(*rockSpr);
}
// ===========================================================================
Screen& 
RenderRock::render(Screen& scr)
{
  _mustRedraw = false;
  return scr << *_spr;
}
// ===========================================================================
void
RenderRock::setState(int pos)
{
}
// ===========================================================================
RenderActor*
RenderRock::clone() const
{
  return new RenderRock;
}
