// ===========================================================================
// ==                                                                       ==
// ==                                                                       ==
// ===========================================================================

#include "Render/RenderSand.h"

static Image*  sandImg  = NULL;
static Sprite* sandSpr  = NULL;

RenderSand::RenderSand(int x, int y) : RenderObject()
{
  if (sandImg == NULL)
  {
    sandImg = new Image("Graphisme/Sol.bmp");
    sandSpr = new Sprite(*sandImg,1,1);
  }
  setSprite(*sandSpr,x,y);
}
// ===========================================================================
RenderObject*
RenderSand::clone(int x, int y) const
{
  return new RenderSand(x,y);
}
