// ===========================================================================
// ==                                                                       ==
// ==                                                                       ==
// ===========================================================================

#include "Render/RenderDiamond.h"

/*static Image diamImg("Graphisme/Paleo.bmp");
  static Sprite diamSpr(diamImg, 8, 1,0,true);*/

static Image* ptDiamImg = NULL;
static Sprite* ptDiamSpt = NULL;

RenderDiamond::RenderDiamond(int x, int y) : RenderObject()
{
  if (ptDiamImg == NULL)
  {
    ptDiamImg = new Image("Graphisme/Paleo.bmp");
    ptDiamSpt = new Sprite(*ptDiamImg, 8, 1,0,true);
  }
  ptDiamSpt->setFrame(((x>>5)+3*(y>>5))%8);

  setSprite(*ptDiamSpt,x,y);
  //diamImg.setTransparentPixel(0,0);
}
// ===========================================================================
Screen&
RenderDiamond::render(Screen& scr)
{
  scr << *_spr;
  _spr->nextFrame();
  return scr;
}
// ===========================================================================
RenderObject*
RenderDiamond::clone(int x, int y) const
{
  return new RenderDiamond(x,y);
}
